(function webpackUniversalModuleDefinition(root, factory) {
	if(typeof exports === 'object' && typeof module === 'object')
		module.exports = factory();
	else if(typeof define === 'function' && define.amd)
		define([], factory);
	else {
		var a = factory();
		for(var i in a) (typeof exports === 'object' ? exports : root)[i] = a[i];
	}
})(typeof self !== 'undefined' ? self : this, function() {
return /******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, {
/******/ 				configurable: false,
/******/ 				enumerable: true,
/******/ 				get: getter
/******/ 			});
/******/ 		}
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "/dist/";
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 10);
/******/ })
/************************************************************************/
/******/ ([
/* 0 */
/***/ (function(module, exports) {

/* globals __VUE_SSR_CONTEXT__ */

// IMPORTANT: Do NOT use ES2015 features in this file.
// This module is a runtime utility for cleaner component module output and will
// be included in the final webpack user bundle.

module.exports = function normalizeComponent (
  rawScriptExports,
  compiledTemplate,
  functionalTemplate,
  injectStyles,
  scopeId,
  moduleIdentifier /* server only */
) {
  var esModule
  var scriptExports = rawScriptExports = rawScriptExports || {}

  // ES6 modules interop
  var type = typeof rawScriptExports.default
  if (type === 'object' || type === 'function') {
    esModule = rawScriptExports
    scriptExports = rawScriptExports.default
  }

  // Vue.extend constructor export interop
  var options = typeof scriptExports === 'function'
    ? scriptExports.options
    : scriptExports

  // render functions
  if (compiledTemplate) {
    options.render = compiledTemplate.render
    options.staticRenderFns = compiledTemplate.staticRenderFns
    options._compiled = true
  }

  // functional template
  if (functionalTemplate) {
    options.functional = true
  }

  // scopedId
  if (scopeId) {
    options._scopeId = scopeId
  }

  var hook
  if (moduleIdentifier) { // server build
    hook = function (context) {
      // 2.3 injection
      context =
        context || // cached call
        (this.$vnode && this.$vnode.ssrContext) || // stateful
        (this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext) // functional
      // 2.2 with runInNewContext: true
      if (!context && typeof __VUE_SSR_CONTEXT__ !== 'undefined') {
        context = __VUE_SSR_CONTEXT__
      }
      // inject component styles
      if (injectStyles) {
        injectStyles.call(this, context)
      }
      // register component module identifier for async chunk inferrence
      if (context && context._registeredComponents) {
        context._registeredComponents.add(moduleIdentifier)
      }
    }
    // used by ssr in case component is cached and beforeCreate
    // never gets called
    options._ssrRegister = hook
  } else if (injectStyles) {
    hook = injectStyles
  }

  if (hook) {
    var functional = options.functional
    var existing = functional
      ? options.render
      : options.beforeCreate

    if (!functional) {
      // inject component registration as beforeCreate hook
      options.beforeCreate = existing
        ? [].concat(existing, hook)
        : [hook]
    } else {
      // for template-only hot-reload because in that case the render fn doesn't
      // go through the normalizer
      options._injectStyles = hook
      // register for functioal component in vue file
      options.render = function renderWithStyleInjection (h, context) {
        hook.call(context)
        return existing(h, context)
      }
    }
  }

  return {
    esModule: esModule,
    exports: scriptExports,
    options: options
  }
}


/***/ }),
/* 1 */
/***/ (function(module, exports) {

/*
	MIT License http://www.opensource.org/licenses/mit-license.php
	Author Tobias Koppers @sokra
*/
// css base code, injected by the css-loader
module.exports = function(useSourceMap) {
	var list = [];

	// return the list of modules as css string
	list.toString = function toString() {
		return this.map(function (item) {
			var content = cssWithMappingToString(item, useSourceMap);
			if(item[2]) {
				return "@media " + item[2] + "{" + content + "}";
			} else {
				return content;
			}
		}).join("");
	};

	// import a list of modules into the list
	list.i = function(modules, mediaQuery) {
		if(typeof modules === "string")
			modules = [[null, modules, ""]];
		var alreadyImportedModules = {};
		for(var i = 0; i < this.length; i++) {
			var id = this[i][0];
			if(typeof id === "number")
				alreadyImportedModules[id] = true;
		}
		for(i = 0; i < modules.length; i++) {
			var item = modules[i];
			// skip already imported module
			// this implementation is not 100% perfect for weird media query combinations
			//  when a module is imported multiple times with different media queries.
			//  I hope this will never occur (Hey this way we have smaller bundles)
			if(typeof item[0] !== "number" || !alreadyImportedModules[item[0]]) {
				if(mediaQuery && !item[2]) {
					item[2] = mediaQuery;
				} else if(mediaQuery) {
					item[2] = "(" + item[2] + ") and (" + mediaQuery + ")";
				}
				list.push(item);
			}
		}
	};
	return list;
};

function cssWithMappingToString(item, useSourceMap) {
	var content = item[1] || '';
	var cssMapping = item[3];
	if (!cssMapping) {
		return content;
	}

	if (useSourceMap && typeof btoa === 'function') {
		var sourceMapping = toComment(cssMapping);
		var sourceURLs = cssMapping.sources.map(function (source) {
			return '/*# sourceURL=' + cssMapping.sourceRoot + source + ' */'
		});

		return [content].concat(sourceURLs).concat([sourceMapping]).join('\n');
	}

	return [content].join('\n');
}

// Adapted from convert-source-map (MIT)
function toComment(sourceMap) {
	// eslint-disable-next-line no-undef
	var base64 = btoa(unescape(encodeURIComponent(JSON.stringify(sourceMap))));
	var data = 'sourceMappingURL=data:application/json;charset=utf-8;base64,' + base64;

	return '/*# ' + data + ' */';
}


/***/ }),
/* 2 */
/***/ (function(module, exports, __webpack_require__) {

/*
  MIT License http://www.opensource.org/licenses/mit-license.php
  Author Tobias Koppers @sokra
  Modified by Evan You @yyx990803
*/

var hasDocument = typeof document !== 'undefined'

if (typeof DEBUG !== 'undefined' && DEBUG) {
  if (!hasDocument) {
    throw new Error(
    'vue-style-loader cannot be used in a non-browser environment. ' +
    "Use { target: 'node' } in your Webpack config to indicate a server-rendering environment."
  ) }
}

var listToStyles = __webpack_require__(14)

/*
type StyleObject = {
  id: number;
  parts: Array<StyleObjectPart>
}

type StyleObjectPart = {
  css: string;
  media: string;
  sourceMap: ?string
}
*/

var stylesInDom = {/*
  [id: number]: {
    id: number,
    refs: number,
    parts: Array<(obj?: StyleObjectPart) => void>
  }
*/}

var head = hasDocument && (document.head || document.getElementsByTagName('head')[0])
var singletonElement = null
var singletonCounter = 0
var isProduction = false
var noop = function () {}
var options = null
var ssrIdKey = 'data-vue-ssr-id'

// Force single-tag solution on IE6-9, which has a hard limit on the # of <style>
// tags it will allow on a page
var isOldIE = typeof navigator !== 'undefined' && /msie [6-9]\b/.test(navigator.userAgent.toLowerCase())

module.exports = function (parentId, list, _isProduction, _options) {
  isProduction = _isProduction

  options = _options || {}

  var styles = listToStyles(parentId, list)
  addStylesToDom(styles)

  return function update (newList) {
    var mayRemove = []
    for (var i = 0; i < styles.length; i++) {
      var item = styles[i]
      var domStyle = stylesInDom[item.id]
      domStyle.refs--
      mayRemove.push(domStyle)
    }
    if (newList) {
      styles = listToStyles(parentId, newList)
      addStylesToDom(styles)
    } else {
      styles = []
    }
    for (var i = 0; i < mayRemove.length; i++) {
      var domStyle = mayRemove[i]
      if (domStyle.refs === 0) {
        for (var j = 0; j < domStyle.parts.length; j++) {
          domStyle.parts[j]()
        }
        delete stylesInDom[domStyle.id]
      }
    }
  }
}

function addStylesToDom (styles /* Array<StyleObject> */) {
  for (var i = 0; i < styles.length; i++) {
    var item = styles[i]
    var domStyle = stylesInDom[item.id]
    if (domStyle) {
      domStyle.refs++
      for (var j = 0; j < domStyle.parts.length; j++) {
        domStyle.parts[j](item.parts[j])
      }
      for (; j < item.parts.length; j++) {
        domStyle.parts.push(addStyle(item.parts[j]))
      }
      if (domStyle.parts.length > item.parts.length) {
        domStyle.parts.length = item.parts.length
      }
    } else {
      var parts = []
      for (var j = 0; j < item.parts.length; j++) {
        parts.push(addStyle(item.parts[j]))
      }
      stylesInDom[item.id] = { id: item.id, refs: 1, parts: parts }
    }
  }
}

function createStyleElement () {
  var styleElement = document.createElement('style')
  styleElement.type = 'text/css'
  head.appendChild(styleElement)
  return styleElement
}

function addStyle (obj /* StyleObjectPart */) {
  var update, remove
  var styleElement = document.querySelector('style[' + ssrIdKey + '~="' + obj.id + '"]')

  if (styleElement) {
    if (isProduction) {
      // has SSR styles and in production mode.
      // simply do nothing.
      return noop
    } else {
      // has SSR styles but in dev mode.
      // for some reason Chrome can't handle source map in server-rendered
      // style tags - source maps in <style> only works if the style tag is
      // created and inserted dynamically. So we remove the server rendered
      // styles and inject new ones.
      styleElement.parentNode.removeChild(styleElement)
    }
  }

  if (isOldIE) {
    // use singleton mode for IE9.
    var styleIndex = singletonCounter++
    styleElement = singletonElement || (singletonElement = createStyleElement())
    update = applyToSingletonTag.bind(null, styleElement, styleIndex, false)
    remove = applyToSingletonTag.bind(null, styleElement, styleIndex, true)
  } else {
    // use multi-style-tag mode in all other cases
    styleElement = createStyleElement()
    update = applyToTag.bind(null, styleElement)
    remove = function () {
      styleElement.parentNode.removeChild(styleElement)
    }
  }

  update(obj)

  return function updateStyle (newObj /* StyleObjectPart */) {
    if (newObj) {
      if (newObj.css === obj.css &&
          newObj.media === obj.media &&
          newObj.sourceMap === obj.sourceMap) {
        return
      }
      update(obj = newObj)
    } else {
      remove()
    }
  }
}

var replaceText = (function () {
  var textStore = []

  return function (index, replacement) {
    textStore[index] = replacement
    return textStore.filter(Boolean).join('\n')
  }
})()

function applyToSingletonTag (styleElement, index, remove, obj) {
  var css = remove ? '' : obj.css

  if (styleElement.styleSheet) {
    styleElement.styleSheet.cssText = replaceText(index, css)
  } else {
    var cssNode = document.createTextNode(css)
    var childNodes = styleElement.childNodes
    if (childNodes[index]) styleElement.removeChild(childNodes[index])
    if (childNodes.length) {
      styleElement.insertBefore(cssNode, childNodes[index])
    } else {
      styleElement.appendChild(cssNode)
    }
  }
}

function applyToTag (styleElement, obj) {
  var css = obj.css
  var media = obj.media
  var sourceMap = obj.sourceMap

  if (media) {
    styleElement.setAttribute('media', media)
  }
  if (options.ssrId) {
    styleElement.setAttribute(ssrIdKey, obj.id)
  }

  if (sourceMap) {
    // https://developer.chrome.com/devtools/docs/javascript-debugging
    // this makes source maps inside style tags work properly in Chrome
    css += '\n/*# sourceURL=' + sourceMap.sources[0] + ' */'
    // http://stackoverflow.com/a/26603875
    css += '\n/*# sourceMappingURL=data:application/json;base64,' + btoa(unescape(encodeURIComponent(JSON.stringify(sourceMap)))) + ' */'
  }

  if (styleElement.styleSheet) {
    styleElement.styleSheet.cssText = css
  } else {
    while (styleElement.firstChild) {
      styleElement.removeChild(styleElement.firstChild)
    }
    styleElement.appendChild(document.createTextNode(css))
  }
}


/***/ }),
/* 3 */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
//
//
//
//
//
//

/* harmony default export */ __webpack_exports__["a"] = ({
    name: 'elCode',
    props: {
        位数: {
            default: 6
        },
        value: {
            default: ''
        },
        placeholder: {
            default: '请输入验证码'
        },
        buttonText: {
            default: '获取验证码'
        }
    },
    data() {
        return {
            获取验证码倒计时: 0,
            验证码按钮文字: this.buttonText
        };
    },
    mounted() {
        this.获取验证码倒计时 = 0;
        this.验证码按钮文字 = this.buttonText;
    },
    methods: {
        djs() {
            if (this.获取验证码倒计时 > 0) {
                this.获取验证码倒计时--;
                this.验证码按钮文字 = '(' + this.获取验证码倒计时 + ')秒后重新获取';
                setTimeout(this.djs, 1000);
            } else {
                this.获取验证码倒计时 = 0;
                this.验证码按钮文字 = this.buttonText;
            }
        },
        start() {
            this.获取验证码倒计时 = 60;
            this.验证码按钮文字 = '(' + this.获取验证码倒计时 + ')秒后重新获取';
            setTimeout(this.djs, 1000);
        }
    }
});

/***/ }),
/* 4 */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
//
//
//
//
//
//
//
//
//
//
//
//

//import BScroll from '@better-scroll/core'

/* harmony default export */ __webpack_exports__["a"] = ({
    name: "elModal",
    //props: ["options", "resultdata"],
    computed: {
        modal() {
            let modal = this.options;
            if (this.options2) modal = this.options2;
            if (modal) {
                modal = {
                    title: modal.title || "提示",
                    showCustomButton: typeof modal.showCustomButton == "undefined" ? false : modal.showCustomButton,
                    customButtonClass: modal.customButtonClass ? modal.customButtonClass : "warning",
                    customButtonText: modal.customButtonText ? modal.customButtonText : "自定义",
                    customClick: modal.customClick ? modal.customClick : undefined,
                    customButtonIcon: modal.customButtonIcon ? modal.customButtonIcon : 'el-icon-info',

                    showCustomButton1: typeof modal.showCustomButton1 == "undefined" ? false : modal.showCustomButton1,
                    customButtonClass1: modal.customButtonClass1 ? modal.customButtonClass1 : "warning",
                    customButtonText1: modal.customButtonText1 ? modal.customButtonText1 : "自定义",
                    customClick1: modal.customClick1 ? modal.customClick1 : undefined,
                    customButtonIcon1: modal.customButtonIcon1 ? modal.customButtonIcon1 : 'el-icon-info',

                    showCancelButton: typeof modal.showCancelButton == "undefined" ? true : modal.showCancelButton,
                    cancelButtonClass: modal.cancelButtonClass ? modal.cancelButtonClass : "",
                    cancelButtonText: modal.cancelButtonText ? modal.cancelButtonText : "取消",
                    showConfirmButton: typeof modal.showConfirmButton == "undefined" ? true : modal.showConfirmButton,
                    confirmButtonClass: modal.confirmButtonClass ? modal.confirmButtonClass : "primary",
                    confirmButtonText: modal.confirmButtonText ? modal.confirmButtonText : "确定",
                    beforeClose: modal.beforeClose ? modal.beforeClose : undefined
                };
            } else {
                // 使用时没有传递参数
                modal = {
                    title: "提示",
                    showCustomButton: false,
                    customButtonClass: 'warning',
                    customButtonText: '自定义',
                    customClick: undefined,
                    customButtonIcon: 'el-icon-info',

                    showCustomButton1: false,
                    customButtonClass1: 'warning',
                    customButtonText1: '自定义',
                    customClick1: undefined,
                    customButtonIcon1: 'el-icon-info',

                    showCancelButton: true,
                    cancelButtonClass: "btn-default",
                    cancelButtonText: "取消",

                    showConfirmButton: true,
                    confirmButtonClass: "btn-active",
                    confirmButtonText: "确定",
                    beforeClose: undefined
                };
            }
            return modal;
        }
    },
    data() {
        return {
            isshow: false, // 是否显示模态框
            resolve: "",
            reject: "",
            promise: "", // 保存promise对象
            options2: {}
            //bs: null,
        };
    },
    methods: {
        async submit(text) {
            let result = undefined;
            if (this.modal.beforeClose) {
                result = await this.modal.beforeClose(this.resultdata, text, this);
                if (!result) return;
            }
            this.isshow = false;

            this.resolve(text);
        },
        customClick() {
            if (this.modal.customClick) this.modal.customClick();
        },
        customClick1() {
            if (this.modal.customClick1) this.modal.customClick1();
        },
        cancel() {
            this.isshow = false;
            if (this.reject) this.reject();
        },
        show(option) {
            option = option || {};
            if (option) this.options2 = option;
            this.isshow = true;
            this.promise = new Promise((resolve, reject) => {
                this.resolve = resolve;
                this.reject = reject;
            });
            setTimeout(() => {
                //延时执行,首次加载的时候没有dom,这里会报错
                try {
                    var tmp = this.$el.getElementsByClassName('autofocus');
                    if (tmp.length > 0) tmp = tmp[0].children[0];
                    if (tmp && tmp.focus) tmp.focus();
                    if (tmp && tmp.select) tmp.select();

                    var tmp2 = this.$el.getElementsByClassName('numberKeyboard');
                } catch (error) {
                    console.log(error);
                }
                if (option.onShow) option.onShow();
            }, 200); //延时让窗体显示出来
            return this.promise; //返回promise对象,给父级组件调用
        },
        isShow() {
            return this.isshow;
        }
    }
});

/***/ }),
/* 5 */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
//
//
//
//

/* harmony default export */ __webpack_exports__["a"] = ({
    props: {
        value: {
            default: ''
        },
        options: {
            default: []
        },
        disabled: {
            default: false
        }
    },
    computed: {
        arryValue() {
            if (typeof this.value == 'object') return this.value;
            let tmp = this.value.split('-');
            let tmparr = [];

            this.options.forEach(a => {
                if (a.label == tmp[0]) {
                    tmparr.push(a.value);
                    (a.children || []).forEach(aa => {
                        if (aa.label == tmp[1]) {
                            tmparr.push(aa.value);
                            (aa.children || []).forEach(aaa => {
                                if (aaa.label == tmp[2]) {
                                    tmparr.push(aaa.value);
                                }
                            });
                        }
                    });
                }
            });
            return tmparr;
        }
    },
    mounted() {},
    methods: {
        onChange(a) {
            let tmparr = [];

            let node1, node2, node3;
            if (a.length > 0) {
                node1 = this.options.FirstOrDefault('$.value==' + a[0]);
                tmparr.push(node1);
            }
            if (a.length > 1) {
                node2 = node1.children.FirstOrDefault('$.value==' + a[1]);
                tmparr.push(node2);
            }
            if (a.length > 2) {
                node3 = node2.children.FirstOrDefault('$.value==' + a[2]);
                tmparr.push(node3);
            }

            this.$emit('input', tmparr.map(item => item.label).join('-'));
            this.$emit('change', tmparr);
        }
    }
});

/***/ }),
/* 6 */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

/* harmony default export */ __webpack_exports__["a"] = ({
    props: {
        value: {
            type: String
        },
        getOss: {},
        path: {
            type: String
        },
        keyname: {
            type: String
        },
        disabled: {
            default: false
        }
    },
    data() {
        return {
            ossdate: {},
            ossurl: 'https://sydpay-img.oss-cn-beijing.aliyuncs.com/',
            showbig: false
        };
    },
    methods: {
        async beforeupload(file) {
            try {
                let result = await this.getOss();
                this.ossdate = result;
                this.ossdate.key = this.path + this.keyname + new Date().getTime() + '.' + (file.name.split('.')[1] || 'jpg');
            } catch (error) {
                this.$Alert(error);
            }

            let _this = this;
            return new Promise((resolve, reject) => {
                let isLt2M = file.size / 1024 / 1024 < 10; // 判定图片大小是否小于10MB
                if (!isLt2M) {
                    reject();
                }
                let image = new Image(),
                    resultBlob = '';
                image.src = URL.createObjectURL(file);
                image.onload = () => {
                    // 调用方法获取blob格式，方法写在下边
                    resultBlob = _this.compressUpload(image, file);
                    resolve(resultBlob);
                };
                image.onerror = () => {
                    reject();
                };
            });
        },
        compressUpload(image, file, s = 900) {
            let canvas = document.createElement('canvas');
            let ctx = canvas.getContext('2d');
            let initSize = image.src.length;
            let { width } = image,
                { height } = image;
            let w = width,
                h = height;

            if (width > height) {
                if (width < s) s = width;
                w = s;
                h = w / width * height;
            } else {
                if (height < s) s = height;
                h = s;
                w = h / height * width;
            }
            canvas.width = w;
            canvas.height = h;
            ctx.fillRect(0, 0, canvas.width, canvas.height);
            ctx.drawImage(image, 0, 0, width, height, 0, 0, canvas.width, canvas.height);

            // 进行最小压缩0.1
            let compressData = canvas.toDataURL(file.type || 'image/jpeg', 1);

            // 压缩后调用方法进行base64转Blob，方法写在下边
            let blobImg = this.dataURItoBlob(compressData);
            return blobImg;
        },
        /* base64转Blob对象 */
        dataURItoBlob(data) {
            let byteString;
            if (data.split(',')[0].indexOf('base64') >= 0) {
                byteString = atob(data.split(',')[1]);
            } else {
                byteString = unescape(data.split(',')[1]);
            }
            let mimeString = data.split(',')[0].split(':')[1].split(';')[0];
            let ia = new Uint8Array(byteString.length);
            for (let i = 0; i < byteString.length; i += 1) {
                ia[i] = byteString.charCodeAt(i);
            }
            return new Blob([ia], { type: mimeString });
        },
        uploadError(err, file, fileList) {
            this.$Alert('图片上传失败！' + err);
        },
        uploadSuccess(err, file, fileList) {
            this.$emit('input', this.ossurl + this.ossdate.key);
            this.$emit('uploaded', this.ossurl + this.ossdate.key, this.keyname);
        },
        ondel() {
            this.showbig = false;
            this.$emit('input', '');
        }
    }
});

/***/ }),
/* 7 */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

/* harmony default export */ __webpack_exports__["a"] = ({
    props: { //type  :String Number Boolean Function Object Array Symbol
        value: {
            // type: String,
            default: ''
        },
        valuetype: {
            type: String,
            default: 'string'
        },
        nopoint: {
            type: Boolean,
            default: true
        },
        allkeys: {
            type: Boolean,
            default: false
        }
    },
    data() {
        return {
            首次输入: true
        };
    },
    mounted() {
        this.首次输入 = true;
    },
    methods: {
        key: function (key) {
            let value = (this.value || '').toString();
            if (this.首次输入) value = '';
            this.首次输入 = false;
            try {
                if (key == "b") {
                    value = value.slice(0, -1);
                    throw "";
                }
                if (key == "c") {
                    value = "";
                    throw "";
                }
                if (key == ".") {
                    if (this.nopoint) throw "";
                    if (!value) value = '0';
                    if (value.includes(".")) throw "";
                }
                //只能输入2位小数
                if (value != "" && value.includes(".")) {
                    if (value.length - value.indexOf(".") > 2) throw "";
                    if (value.length - value.indexOf(".") == 2 && key == "00") key = "0";
                }
                value += key;
                //没有小数的时候计算一下 取消前面的0
                if (value != '' && !value.includes('.')) value = parseInt(value);
            } catch (error) {
                if (error) console.log(error);
            }
            if (this.valuetype == 'string') value = value.toString();
            this.$emit('input', value);
            this.$emit('onkey', key);
        },
        reset: function () {
            this.首次输入 = true;
        }
    }
});

/***/ }),
/* 8 */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

/* harmony default export */ __webpack_exports__["a"] = ({
    props: ["nopoint", "value", 'valuetype'],
    methods: {
        key: function (key) {
            let value = (this.value || '').toString();
            if (this.首次输入) value = '';
            this.首次输入 = false;
            try {
                if (key == "b") {
                    value = value.slice(0, -1);
                    throw "";
                }
                if (key == "c") {
                    value = "";
                    throw "";
                }
                if (key == ".") {
                    if (!value) value = '0';
                    if (value.includes(".")) throw "";
                }
                //只能输入2位小数
                if (value != "" && value.includes(".")) {
                    if (value.length - value.indexOf(".") > 2) throw "";
                    if (value.length - value.indexOf(".") == 2 && key == "00") key = "0";
                }

                if (key == "20" || key == "50" || key == "100") {
                    value = (parseInt(value || '0') + parseInt(key)).toString();
                } else {
                    value += key;
                }

                //没有小数的时候计算一下 取消前面的0
                if (value != '' && !value.includes('.')) value = parseInt(value);
            } catch (error) {
                if (error) console.log(error);
            }
            if (this.valuetype == 'string') value = value.toString();
            this.$emit('input', value);
            this.$emit('onkey', key);
        },
        reset: function () {
            this.首次输入 = true;
        }
    }
});

/***/ }),
/* 9 */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
//
//
//
//

/* harmony default export */ __webpack_exports__["a"] = ({
    props: {
        placeholder: {
            type: String,
            default: '请刷卡'
        },
        value: {
            type: String,
            default: ''
        },
        type: {
            type: String,
            default: 'number'
        }
    },
    data() {
        return {
            最后输入时间: 0,
            刷卡内容: '',
            定时器: 0
        };
    },
    methods: {
        oninput(v) {
            if (!v) {
                this.$emit("input", v);
                return;
            }

            var 输入字符 = v.toString().substr(v.length - 1, 1);

            if (new Date().getTime() - this.最后输入时间 > 50) {
                this.刷卡内容 = '';
                this.$emit("input", this.刷卡内容);
            }
            this.最后输入时间 = new Date().getTime();
            this.刷卡内容 += 输入字符.toString();

            clearTimeout(this.定时器);
            this.定时器 = setTimeout(() => {
                if (this.刷卡内容.length > 3) this.$emit("input", this.刷卡内容);
            }, 100);
        }
    }
});

/***/ }),
/* 10 */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "install", function() { return install; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__elCode_vue__ = __webpack_require__(11);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__elModal_vue__ = __webpack_require__(16);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__elPinker_vue__ = __webpack_require__(18);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__elUploadOss_vue__ = __webpack_require__(20);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__keyboard_vue__ = __webpack_require__(24);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__numberkeyboard_vue__ = __webpack_require__(28);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__qrInput_vue__ = __webpack_require__(32);
/* harmony reexport (binding) */ __webpack_require__.d(__webpack_exports__, "elCode", function() { return __WEBPACK_IMPORTED_MODULE_0__elCode_vue__["a"]; });
/* harmony reexport (binding) */ __webpack_require__.d(__webpack_exports__, "elModal", function() { return __WEBPACK_IMPORTED_MODULE_1__elModal_vue__["a"]; });
/* harmony reexport (binding) */ __webpack_require__.d(__webpack_exports__, "elPinker", function() { return __WEBPACK_IMPORTED_MODULE_2__elPinker_vue__["a"]; });
/* harmony reexport (binding) */ __webpack_require__.d(__webpack_exports__, "elUploadOss", function() { return __WEBPACK_IMPORTED_MODULE_3__elUploadOss_vue__["a"]; });
/* harmony reexport (binding) */ __webpack_require__.d(__webpack_exports__, "keyboard", function() { return __WEBPACK_IMPORTED_MODULE_4__keyboard_vue__["a"]; });
/* harmony reexport (binding) */ __webpack_require__.d(__webpack_exports__, "numberkeyboard", function() { return __WEBPACK_IMPORTED_MODULE_5__numberkeyboard_vue__["a"]; });
/* harmony reexport (binding) */ __webpack_require__.d(__webpack_exports__, "qrInput", function() { return __WEBPACK_IMPORTED_MODULE_6__qrInput_vue__["a"]; });








const components = [__WEBPACK_IMPORTED_MODULE_0__elCode_vue__["a" /* default */], __WEBPACK_IMPORTED_MODULE_1__elModal_vue__["a" /* default */], __WEBPACK_IMPORTED_MODULE_2__elPinker_vue__["a" /* default */], __WEBPACK_IMPORTED_MODULE_3__elUploadOss_vue__["a" /* default */], __WEBPACK_IMPORTED_MODULE_4__keyboard_vue__["a" /* default */], __WEBPACK_IMPORTED_MODULE_5__numberkeyboard_vue__["a" /* default */], __WEBPACK_IMPORTED_MODULE_6__qrInput_vue__["a" /* default */]];

function install(Vue) {
    Vue.component('elCode', __WEBPACK_IMPORTED_MODULE_0__elCode_vue__["a" /* default */]);
    Vue.component('elModal', __WEBPACK_IMPORTED_MODULE_1__elModal_vue__["a" /* default */]);
    Vue.component('elPinker', __WEBPACK_IMPORTED_MODULE_2__elPinker_vue__["a" /* default */]);
    Vue.component('elUploadOss', __WEBPACK_IMPORTED_MODULE_3__elUploadOss_vue__["a" /* default */]);
    Vue.component('keyboard', __WEBPACK_IMPORTED_MODULE_4__keyboard_vue__["a" /* default */]);
    Vue.component('numberkeyboard', __WEBPACK_IMPORTED_MODULE_5__numberkeyboard_vue__["a" /* default */]);
    Vue.component('qrInput', __WEBPACK_IMPORTED_MODULE_6__qrInput_vue__["a" /* default */]);
}



/* harmony default export */ __webpack_exports__["default"] = ({
    install
});

/* Vue是全局变量时,自动安装 */
if (typeof window !== 'undefined' && window.Vue) {
    install(window.Vue);
}

/***/ }),
/* 11 */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__babel_loader_node_modules_vue_loader_lib_selector_type_script_index_0_elCode_vue__ = __webpack_require__(3);
/* unused harmony namespace reexport */
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__node_modules_vue_loader_lib_template_compiler_index_id_data_v_d181c366_hasScoped_true_buble_transforms_node_modules_vue_loader_lib_selector_type_template_index_0_elCode_vue__ = __webpack_require__(15);
var disposed = false
function injectStyle (ssrContext) {
  if (disposed) return
  __webpack_require__(12)
}
var normalizeComponent = __webpack_require__(0)
/* script */


/* template */

/* template functional */
var __vue_template_functional__ = false
/* styles */
var __vue_styles__ = injectStyle
/* scopeId */
var __vue_scopeId__ = "data-v-d181c366"
/* moduleIdentifier (server only) */
var __vue_module_identifier__ = null
var Component = normalizeComponent(
  __WEBPACK_IMPORTED_MODULE_0__babel_loader_node_modules_vue_loader_lib_selector_type_script_index_0_elCode_vue__["a" /* default */],
  __WEBPACK_IMPORTED_MODULE_1__node_modules_vue_loader_lib_template_compiler_index_id_data_v_d181c366_hasScoped_true_buble_transforms_node_modules_vue_loader_lib_selector_type_template_index_0_elCode_vue__["a" /* default */],
  __vue_template_functional__,
  __vue_styles__,
  __vue_scopeId__,
  __vue_module_identifier__
)
Component.options.__file = "src/elCode.vue"

/* hot reload */
if (false) {(function () {
  var hotAPI = require("vue-hot-reload-api")
  hotAPI.install(require("vue"), false)
  if (!hotAPI.compatible) return
  module.hot.accept()
  if (!module.hot.data) {
    hotAPI.createRecord("data-v-d181c366", Component.options)
  } else {
    hotAPI.reload("data-v-d181c366", Component.options)
  }
  module.hot.dispose(function (data) {
    disposed = true
  })
})()}

/* harmony default export */ __webpack_exports__["a"] = (Component.exports);


/***/ }),
/* 12 */
/***/ (function(module, exports, __webpack_require__) {

// style-loader: Adds some css to the DOM by adding a <style> tag

// load the styles
var content = __webpack_require__(13);
if(typeof content === 'string') content = [[module.i, content, '']];
if(content.locals) module.exports = content.locals;
// add the styles to the DOM
var update = __webpack_require__(2)("739d0133", content, false, {});
// Hot Module Replacement
if(false) {
 // When the styles change, update the <style> tags
 if(!content.locals) {
   module.hot.accept("!!../node_modules/css-loader/index.js?sourceMap!../node_modules/vue-loader/lib/style-compiler/index.js?{\"vue\":true,\"id\":\"data-v-d181c366\",\"scoped\":true,\"hasInlineConfig\":false}!../node_modules/vue-loader/lib/selector.js?type=styles&index=0!./elCode.vue", function() {
     var newContent = require("!!../node_modules/css-loader/index.js?sourceMap!../node_modules/vue-loader/lib/style-compiler/index.js?{\"vue\":true,\"id\":\"data-v-d181c366\",\"scoped\":true,\"hasInlineConfig\":false}!../node_modules/vue-loader/lib/selector.js?type=styles&index=0!./elCode.vue");
     if(typeof newContent === 'string') newContent = [[module.id, newContent, '']];
     update(newContent);
   });
 }
 // When the module is disposed, remove the <style> tags
 module.hot.dispose(function() { update(); });
}

/***/ }),
/* 13 */
/***/ (function(module, exports, __webpack_require__) {

exports = module.exports = __webpack_require__(1)(true);
// imports


// module
exports.push([module.i, "\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n", "", {"version":3,"sources":[],"names":[],"mappings":"","file":"elCode.vue","sourceRoot":""}]);

// exports


/***/ }),
/* 14 */
/***/ (function(module, exports) {

/**
 * Translates the list format produced by css-loader into something
 * easier to manipulate.
 */
module.exports = function listToStyles (parentId, list) {
  var styles = []
  var newStyles = {}
  for (var i = 0; i < list.length; i++) {
    var item = list[i]
    var id = item[0]
    var css = item[1]
    var media = item[2]
    var sourceMap = item[3]
    var part = {
      id: parentId + ':' + i,
      css: css,
      media: media,
      sourceMap: sourceMap
    }
    if (!newStyles[id]) {
      styles.push(newStyles[id] = { id: id, parts: [part] })
    } else {
      newStyles[id].parts.push(part)
    }
  }
  return styles
}


/***/ }),
/* 15 */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
var render = function() {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _c(
    "el-input",
    {
      attrs: {
        type: "tel",
        minlength: _vm.位数,
        maxlength: _vm.位数,
        placeholder: _vm.placeholder,
        value: _vm.value,
        autocomplete: "off"
      },
      on: {
        input: function($event) {
          return _vm.$emit("input", $event)
        }
      }
    },
    [
      _c(
        "el-button",
        {
          attrs: { slot: "append", disabled: _vm.获取验证码倒计时 > 0 },
          on: {
            click: function($event) {
              return _vm.$emit("onGet", _vm.start, $event)
            }
          },
          slot: "append"
        },
        [_vm._v(_vm._s(_vm.验证码按钮文字))]
      )
    ],
    1
  )
}
var staticRenderFns = []
render._withStripped = true
var esExports = { render: render, staticRenderFns: staticRenderFns }
/* harmony default export */ __webpack_exports__["a"] = (esExports);
if (false) {
  module.hot.accept()
  if (module.hot.data) {
    require("vue-hot-reload-api")      .rerender("data-v-d181c366", esExports)
  }
}

/***/ }),
/* 16 */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__babel_loader_node_modules_vue_loader_lib_selector_type_script_index_0_elModal_vue__ = __webpack_require__(4);
/* unused harmony namespace reexport */
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__node_modules_vue_loader_lib_template_compiler_index_id_data_v_17c69b7d_hasScoped_false_buble_transforms_node_modules_vue_loader_lib_selector_type_template_index_0_elModal_vue__ = __webpack_require__(17);
var disposed = false
var normalizeComponent = __webpack_require__(0)
/* script */


/* template */

/* template functional */
var __vue_template_functional__ = false
/* styles */
var __vue_styles__ = null
/* scopeId */
var __vue_scopeId__ = null
/* moduleIdentifier (server only) */
var __vue_module_identifier__ = null
var Component = normalizeComponent(
  __WEBPACK_IMPORTED_MODULE_0__babel_loader_node_modules_vue_loader_lib_selector_type_script_index_0_elModal_vue__["a" /* default */],
  __WEBPACK_IMPORTED_MODULE_1__node_modules_vue_loader_lib_template_compiler_index_id_data_v_17c69b7d_hasScoped_false_buble_transforms_node_modules_vue_loader_lib_selector_type_template_index_0_elModal_vue__["a" /* default */],
  __vue_template_functional__,
  __vue_styles__,
  __vue_scopeId__,
  __vue_module_identifier__
)
Component.options.__file = "src/elModal.vue"

/* hot reload */
if (false) {(function () {
  var hotAPI = require("vue-hot-reload-api")
  hotAPI.install(require("vue"), false)
  if (!hotAPI.compatible) return
  module.hot.accept()
  if (!module.hot.data) {
    hotAPI.createRecord("data-v-17c69b7d", Component.options)
  } else {
    hotAPI.reload("data-v-17c69b7d", Component.options)
  }
  module.hot.dispose(function (data) {
    disposed = true
  })
})()}

/* harmony default export */ __webpack_exports__["a"] = (Component.exports);


/***/ }),
/* 17 */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
var render = function() {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _c(
    "el-dialog",
    {
      staticClass: "elModal",
      attrs: {
        title: _vm.modal.title,
        visible: _vm.isshow,
        "show-close": _vm.modal.showCancelButton,
        "close-on-click-modal": false,
        "lock-scroll": "",
        center: ""
      },
      on: {
        "update:visible": function($event) {
          _vm.isshow = $event
        },
        close: function($event) {
          return _vm.cancel()
        }
      }
    },
    [
      _vm._t("default", [_vm._v("窗体内容")]),
      _vm._v(" "),
      _vm.modal.showCustomButton ||
      _vm.modal.showCustomButton1 ||
      _vm.modal.showCancelButton ||
      _vm.modal.showConfirmButton
        ? _c(
            "div",
            {
              staticClass: "dialog-footer",
              attrs: { slot: "footer" },
              slot: "footer"
            },
            [
              _vm.modal.showCustomButton
                ? _c(
                    "el-button",
                    {
                      staticStyle: {
                        padding: "12px",
                        "font-size": "20px",
                        "min-width": "100px",
                        float: "left"
                      },
                      attrs: {
                        icon: _vm.modal.customButtonIcon,
                        type: _vm.modal.customButtonClass
                      },
                      on: {
                        click: function($event) {
                          return _vm.customClick()
                        }
                      }
                    },
                    [_vm._v(_vm._s(_vm.modal.customButtonText))]
                  )
                : _vm._e(),
              _vm._v(" "),
              _vm.modal.showCustomButton1
                ? _c(
                    "el-button",
                    {
                      staticStyle: {
                        padding: "12px",
                        "font-size": "20px",
                        "min-width": "100px",
                        float: "left"
                      },
                      attrs: {
                        icon: _vm.modal.customButtonIcon1,
                        type: _vm.modal.customButtonClass1
                      },
                      on: {
                        click: function($event) {
                          return _vm.customClick1()
                        }
                      }
                    },
                    [_vm._v(_vm._s(_vm.modal.customButtonText1))]
                  )
                : _vm._e(),
              _vm._v(" "),
              _vm.modal.showCancelButton
                ? _c(
                    "el-button",
                    {
                      staticStyle: {
                        padding: "12px",
                        "font-size": "20px",
                        "min-width": "140px"
                      },
                      attrs: {
                        icon: "el-icon-error",
                        type: _vm.modal.cancelButtonClass
                      },
                      on: {
                        click: function($event) {
                          return _vm.cancel()
                        }
                      }
                    },
                    [_vm._v(_vm._s(_vm.modal.cancelButtonText))]
                  )
                : _vm._e(),
              _vm._v(" "),
              _vm.modal.showConfirmButton
                ? _c(
                    "el-button",
                    {
                      staticStyle: {
                        padding: "12px",
                        "font-size": "20px",
                        "min-width": "140px"
                      },
                      attrs: {
                        icon: "el-icon-success",
                        type: _vm.modal.confirmButtonClass
                      },
                      on: {
                        click: function($event) {
                          return _vm.submit(_vm.modal.confirmButtonText)
                        }
                      }
                    },
                    [_vm._v(_vm._s(_vm.modal.confirmButtonText))]
                  )
                : _vm._e()
            ],
            1
          )
        : _vm._e()
    ],
    2
  )
}
var staticRenderFns = []
render._withStripped = true
var esExports = { render: render, staticRenderFns: staticRenderFns }
/* harmony default export */ __webpack_exports__["a"] = (esExports);
if (false) {
  module.hot.accept()
  if (module.hot.data) {
    require("vue-hot-reload-api")      .rerender("data-v-17c69b7d", esExports)
  }
}

/***/ }),
/* 18 */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__babel_loader_node_modules_vue_loader_lib_selector_type_script_index_0_elPinker_vue__ = __webpack_require__(5);
/* unused harmony namespace reexport */
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__node_modules_vue_loader_lib_template_compiler_index_id_data_v_5bc43c03_hasScoped_false_buble_transforms_node_modules_vue_loader_lib_selector_type_template_index_0_elPinker_vue__ = __webpack_require__(19);
var disposed = false
var normalizeComponent = __webpack_require__(0)
/* script */


/* template */

/* template functional */
var __vue_template_functional__ = false
/* styles */
var __vue_styles__ = null
/* scopeId */
var __vue_scopeId__ = null
/* moduleIdentifier (server only) */
var __vue_module_identifier__ = null
var Component = normalizeComponent(
  __WEBPACK_IMPORTED_MODULE_0__babel_loader_node_modules_vue_loader_lib_selector_type_script_index_0_elPinker_vue__["a" /* default */],
  __WEBPACK_IMPORTED_MODULE_1__node_modules_vue_loader_lib_template_compiler_index_id_data_v_5bc43c03_hasScoped_false_buble_transforms_node_modules_vue_loader_lib_selector_type_template_index_0_elPinker_vue__["a" /* default */],
  __vue_template_functional__,
  __vue_styles__,
  __vue_scopeId__,
  __vue_module_identifier__
)
Component.options.__file = "src/elPinker.vue"

/* hot reload */
if (false) {(function () {
  var hotAPI = require("vue-hot-reload-api")
  hotAPI.install(require("vue"), false)
  if (!hotAPI.compatible) return
  module.hot.accept()
  if (!module.hot.data) {
    hotAPI.createRecord("data-v-5bc43c03", Component.options)
  } else {
    hotAPI.reload("data-v-5bc43c03", Component.options)
  }
  module.hot.dispose(function (data) {
    disposed = true
  })
})()}

/* harmony default export */ __webpack_exports__["a"] = (Component.exports);


/***/ }),
/* 19 */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
var render = function() {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _c("el-cascader", {
    staticStyle: { width: "100%" },
    attrs: {
      disabled: _vm.disabled,
      value: _vm.arryValue,
      separator: "-",
      clearable: "",
      options: _vm.options,
      props: { expandTrigger: "hover" }
    },
    on: { change: _vm.onChange }
  })
}
var staticRenderFns = []
render._withStripped = true
var esExports = { render: render, staticRenderFns: staticRenderFns }
/* harmony default export */ __webpack_exports__["a"] = (esExports);
if (false) {
  module.hot.accept()
  if (module.hot.data) {
    require("vue-hot-reload-api")      .rerender("data-v-5bc43c03", esExports)
  }
}

/***/ }),
/* 20 */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__babel_loader_node_modules_vue_loader_lib_selector_type_script_index_0_elUploadOss_vue__ = __webpack_require__(6);
/* unused harmony namespace reexport */
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__node_modules_vue_loader_lib_template_compiler_index_id_data_v_4bc4299e_hasScoped_false_buble_transforms_node_modules_vue_loader_lib_selector_type_template_index_0_elUploadOss_vue__ = __webpack_require__(23);
var disposed = false
function injectStyle (ssrContext) {
  if (disposed) return
  __webpack_require__(21)
}
var normalizeComponent = __webpack_require__(0)
/* script */


/* template */

/* template functional */
var __vue_template_functional__ = false
/* styles */
var __vue_styles__ = injectStyle
/* scopeId */
var __vue_scopeId__ = null
/* moduleIdentifier (server only) */
var __vue_module_identifier__ = null
var Component = normalizeComponent(
  __WEBPACK_IMPORTED_MODULE_0__babel_loader_node_modules_vue_loader_lib_selector_type_script_index_0_elUploadOss_vue__["a" /* default */],
  __WEBPACK_IMPORTED_MODULE_1__node_modules_vue_loader_lib_template_compiler_index_id_data_v_4bc4299e_hasScoped_false_buble_transforms_node_modules_vue_loader_lib_selector_type_template_index_0_elUploadOss_vue__["a" /* default */],
  __vue_template_functional__,
  __vue_styles__,
  __vue_scopeId__,
  __vue_module_identifier__
)
Component.options.__file = "src/elUploadOss.vue"

/* hot reload */
if (false) {(function () {
  var hotAPI = require("vue-hot-reload-api")
  hotAPI.install(require("vue"), false)
  if (!hotAPI.compatible) return
  module.hot.accept()
  if (!module.hot.data) {
    hotAPI.createRecord("data-v-4bc4299e", Component.options)
  } else {
    hotAPI.reload("data-v-4bc4299e", Component.options)
  }
  module.hot.dispose(function (data) {
    disposed = true
  })
})()}

/* harmony default export */ __webpack_exports__["a"] = (Component.exports);


/***/ }),
/* 21 */
/***/ (function(module, exports, __webpack_require__) {

// style-loader: Adds some css to the DOM by adding a <style> tag

// load the styles
var content = __webpack_require__(22);
if(typeof content === 'string') content = [[module.i, content, '']];
if(content.locals) module.exports = content.locals;
// add the styles to the DOM
var update = __webpack_require__(2)("431190a0", content, false, {});
// Hot Module Replacement
if(false) {
 // When the styles change, update the <style> tags
 if(!content.locals) {
   module.hot.accept("!!../node_modules/css-loader/index.js?sourceMap!../node_modules/vue-loader/lib/style-compiler/index.js?{\"vue\":true,\"id\":\"data-v-4bc4299e\",\"scoped\":false,\"hasInlineConfig\":false}!../node_modules/vue-loader/lib/selector.js?type=styles&index=0!./elUploadOss.vue", function() {
     var newContent = require("!!../node_modules/css-loader/index.js?sourceMap!../node_modules/vue-loader/lib/style-compiler/index.js?{\"vue\":true,\"id\":\"data-v-4bc4299e\",\"scoped\":false,\"hasInlineConfig\":false}!../node_modules/vue-loader/lib/selector.js?type=styles&index=0!./elUploadOss.vue");
     if(typeof newContent === 'string') newContent = [[module.id, newContent, '']];
     update(newContent);
   });
 }
 // When the module is disposed, remove the <style> tags
 module.hot.dispose(function() { update(); });
}

/***/ }),
/* 22 */
/***/ (function(module, exports, __webpack_require__) {

exports = module.exports = __webpack_require__(1)(true);
// imports


// module
exports.push([module.i, "\n.isdisabled,\r\n.isdisabled .el-upload,\r\n.isdisabled .el-upload-dragger {\r\n    cursor: not-allowed;\n}\r\n", "", {"version":3,"sources":["C:/Users/ShengXQ/Desktop/nodejs/syd-base/vue-elementext/src/src/elUploadOss.vue"],"names":[],"mappings":";AA0IA;;;IAGA,oBAAA;CACA","file":"elUploadOss.vue","sourcesContent":["<template>\r\n    <div>\r\n        <el-upload v-if=\"!value\" :disabled=\"disabled\" :class=\"{isdisabled:disabled}\" :action=\"ossurl\" :multiple=\"false\" :data=\"ossdate\" :on-success=\"uploadSuccess\" :on-error=\"uploadError\" :before-upload=\"beforeupload\" :show-file-list=\"false\" drag>\r\n            <template>\r\n                <i class=\"el-icon-upload\"></i>\r\n                <div class=\"el-upload__text\">{{keyname}}</div>\r\n                <div class=\"el-upload__text\">将文件拖到此处，或<em>点击上传</em></div>\r\n            </template>\r\n        </el-upload>\r\n        <div v-else class=\"el-upload-dragger\" @click=\"showbig=true;\">\r\n            <img :src=\"value\" style=\"max-width: 100%;height: 100%;\">\r\n        </div>\r\n        <el-dialog :visible.sync=\"showbig\" class=\"fulldialog\">\r\n            <img :src=\"value\" style=\"width: 100%;\">\r\n            <div slot=\"footer\" class=\"dialog-footer\">\r\n                <el-button type=\"danger\" @click=\"ondel\">删 除</el-button>\r\n                <el-button @click=\"showbig = false\">取 消</el-button>\r\n            </div>\r\n        </el-dialog>\r\n    </div>\r\n</template>\r\n\r\n<script>\r\nexport default {\r\n    props: {\r\n        value: {\r\n            type: String,\r\n        },\r\n        getOss: {\r\n\r\n        },\r\n        path: {\r\n            type: String,\r\n        },\r\n        keyname: {\r\n            type: String,\r\n        },\r\n        disabled: {\r\n            default: false,\r\n        }\r\n    },\r\n    data() {\r\n        return {\r\n            ossdate: {},\r\n            ossurl: 'https://sydpay-img.oss-cn-beijing.aliyuncs.com/',\r\n            showbig: false,\r\n        }\r\n    },\r\n    methods: {\r\n        async beforeupload(file) {\r\n            try {\r\n                let result = await this.getOss();\r\n                this.ossdate = result;\r\n                this.ossdate.key = this.path + this.keyname + new Date().getTime() + '.' + (file.name.split('.')[1] || 'jpg');\r\n            } catch (error) {\r\n                this.$Alert(error);\r\n            }\r\n\r\n            let _this = this\r\n            return new Promise((resolve, reject) => {\r\n                let isLt2M = file.size / 1024 / 1024 < 10 // 判定图片大小是否小于10MB\r\n                if (!isLt2M) {\r\n                    reject()\r\n                }\r\n                let image = new Image(), resultBlob = '';\r\n                image.src = URL.createObjectURL(file);\r\n                image.onload = () => {\r\n                    // 调用方法获取blob格式，方法写在下边\r\n                    resultBlob = _this.compressUpload(image, file);\r\n                    resolve(resultBlob)\r\n                }\r\n                image.onerror = () => {\r\n                    reject()\r\n                }\r\n            });\r\n        },\r\n        compressUpload(image, file, s = 900) {\r\n            let canvas = document.createElement('canvas')\r\n            let ctx = canvas.getContext('2d')\r\n            let initSize = image.src.length\r\n            let { width } = image, { height } = image;\r\n            let w = width, h = height;\r\n\r\n            if (width > height) {\r\n                if (width < s) s = width;\r\n                w = s;\r\n                h = (w / width) * height;\r\n            } else {\r\n                if (height < s) s = height;\r\n                h = s;\r\n                w = (h / height) * width;\r\n            }\r\n            canvas.width = w;\r\n            canvas.height = h;\r\n            ctx.fillRect(0, 0, canvas.width, canvas.height)\r\n            ctx.drawImage(image, 0, 0, width, height, 0, 0, canvas.width, canvas.height)\r\n\r\n            // 进行最小压缩0.1\r\n            let compressData = canvas.toDataURL(file.type || 'image/jpeg', 1)\r\n\r\n            // 压缩后调用方法进行base64转Blob，方法写在下边\r\n            let blobImg = this.dataURItoBlob(compressData)\r\n            return blobImg\r\n        },\r\n        /* base64转Blob对象 */\r\n        dataURItoBlob(data) {\r\n            let byteString;\r\n            if (data.split(',')[0].indexOf('base64') >= 0) {\r\n                byteString = atob(data.split(',')[1])\r\n            } else {\r\n                byteString = unescape(data.split(',')[1])\r\n            }\r\n            let mimeString = data\r\n                .split(',')[0]\r\n                .split(':')[1]\r\n                .split(';')[0];\r\n            let ia = new Uint8Array(byteString.length)\r\n            for (let i = 0; i < byteString.length; i += 1) {\r\n                ia[i] = byteString.charCodeAt(i)\r\n            }\r\n            return new Blob([ia], { type: mimeString })\r\n        },\r\n        uploadError(err, file, fileList) {\r\n            this.$Alert('图片上传失败！' + err);\r\n        },\r\n        uploadSuccess(err, file, fileList) {\r\n            this.$emit('input', this.ossurl + this.ossdate.key);\r\n            this.$emit('uploaded', this.ossurl + this.ossdate.key, this.keyname);\r\n        },\r\n        ondel() {\r\n            this.showbig = false;\r\n            this.$emit('input', '');\r\n        }\r\n    }\r\n}\r\n</script>\r\n\r\n<style>\r\n.isdisabled,\r\n.isdisabled .el-upload,\r\n.isdisabled .el-upload-dragger {\r\n    cursor: not-allowed;\r\n}\r\n</style>"],"sourceRoot":""}]);

// exports


/***/ }),
/* 23 */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
var render = function() {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _c(
    "div",
    [
      !_vm.value
        ? _c(
            "el-upload",
            {
              class: { isdisabled: _vm.disabled },
              attrs: {
                disabled: _vm.disabled,
                action: _vm.ossurl,
                multiple: false,
                data: _vm.ossdate,
                "on-success": _vm.uploadSuccess,
                "on-error": _vm.uploadError,
                "before-upload": _vm.beforeupload,
                "show-file-list": false,
                drag: ""
              }
            },
            [
              [
                _c("i", { staticClass: "el-icon-upload" }),
                _vm._v(" "),
                _c("div", { staticClass: "el-upload__text" }, [
                  _vm._v(_vm._s(_vm.keyname))
                ]),
                _vm._v(" "),
                _c("div", { staticClass: "el-upload__text" }, [
                  _vm._v("将文件拖到此处，或"),
                  _c("em", [_vm._v("点击上传")])
                ])
              ]
            ],
            2
          )
        : _c(
            "div",
            {
              staticClass: "el-upload-dragger",
              on: {
                click: function($event) {
                  _vm.showbig = true
                }
              }
            },
            [
              _c("img", {
                staticStyle: { "max-width": "100%", height: "100%" },
                attrs: { src: _vm.value }
              })
            ]
          ),
      _vm._v(" "),
      _c(
        "el-dialog",
        {
          staticClass: "fulldialog",
          attrs: { visible: _vm.showbig },
          on: {
            "update:visible": function($event) {
              _vm.showbig = $event
            }
          }
        },
        [
          _c("img", {
            staticStyle: { width: "100%" },
            attrs: { src: _vm.value }
          }),
          _vm._v(" "),
          _c(
            "div",
            {
              staticClass: "dialog-footer",
              attrs: { slot: "footer" },
              slot: "footer"
            },
            [
              _c(
                "el-button",
                { attrs: { type: "danger" }, on: { click: _vm.ondel } },
                [_vm._v("删 除")]
              ),
              _vm._v(" "),
              _c(
                "el-button",
                {
                  on: {
                    click: function($event) {
                      _vm.showbig = false
                    }
                  }
                },
                [_vm._v("取 消")]
              )
            ],
            1
          )
        ]
      )
    ],
    1
  )
}
var staticRenderFns = []
render._withStripped = true
var esExports = { render: render, staticRenderFns: staticRenderFns }
/* harmony default export */ __webpack_exports__["a"] = (esExports);
if (false) {
  module.hot.accept()
  if (module.hot.data) {
    require("vue-hot-reload-api")      .rerender("data-v-4bc4299e", esExports)
  }
}

/***/ }),
/* 24 */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__babel_loader_node_modules_vue_loader_lib_selector_type_script_index_0_keyboard_vue__ = __webpack_require__(7);
/* unused harmony namespace reexport */
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__node_modules_vue_loader_lib_template_compiler_index_id_data_v_14443d80_hasScoped_true_buble_transforms_node_modules_vue_loader_lib_selector_type_template_index_0_keyboard_vue__ = __webpack_require__(27);
var disposed = false
function injectStyle (ssrContext) {
  if (disposed) return
  __webpack_require__(25)
}
var normalizeComponent = __webpack_require__(0)
/* script */


/* template */

/* template functional */
var __vue_template_functional__ = false
/* styles */
var __vue_styles__ = injectStyle
/* scopeId */
var __vue_scopeId__ = "data-v-14443d80"
/* moduleIdentifier (server only) */
var __vue_module_identifier__ = null
var Component = normalizeComponent(
  __WEBPACK_IMPORTED_MODULE_0__babel_loader_node_modules_vue_loader_lib_selector_type_script_index_0_keyboard_vue__["a" /* default */],
  __WEBPACK_IMPORTED_MODULE_1__node_modules_vue_loader_lib_template_compiler_index_id_data_v_14443d80_hasScoped_true_buble_transforms_node_modules_vue_loader_lib_selector_type_template_index_0_keyboard_vue__["a" /* default */],
  __vue_template_functional__,
  __vue_styles__,
  __vue_scopeId__,
  __vue_module_identifier__
)
Component.options.__file = "src/keyboard.vue"

/* hot reload */
if (false) {(function () {
  var hotAPI = require("vue-hot-reload-api")
  hotAPI.install(require("vue"), false)
  if (!hotAPI.compatible) return
  module.hot.accept()
  if (!module.hot.data) {
    hotAPI.createRecord("data-v-14443d80", Component.options)
  } else {
    hotAPI.reload("data-v-14443d80", Component.options)
  }
  module.hot.dispose(function (data) {
    disposed = true
  })
})()}

/* harmony default export */ __webpack_exports__["a"] = (Component.exports);


/***/ }),
/* 25 */
/***/ (function(module, exports, __webpack_require__) {

// style-loader: Adds some css to the DOM by adding a <style> tag

// load the styles
var content = __webpack_require__(26);
if(typeof content === 'string') content = [[module.i, content, '']];
if(content.locals) module.exports = content.locals;
// add the styles to the DOM
var update = __webpack_require__(2)("c3021bee", content, false, {});
// Hot Module Replacement
if(false) {
 // When the styles change, update the <style> tags
 if(!content.locals) {
   module.hot.accept("!!../node_modules/css-loader/index.js?sourceMap!../node_modules/vue-loader/lib/style-compiler/index.js?{\"vue\":true,\"id\":\"data-v-14443d80\",\"scoped\":true,\"hasInlineConfig\":false}!../node_modules/vue-loader/lib/selector.js?type=styles&index=0!./keyboard.vue", function() {
     var newContent = require("!!../node_modules/css-loader/index.js?sourceMap!../node_modules/vue-loader/lib/style-compiler/index.js?{\"vue\":true,\"id\":\"data-v-14443d80\",\"scoped\":true,\"hasInlineConfig\":false}!../node_modules/vue-loader/lib/selector.js?type=styles&index=0!./keyboard.vue");
     if(typeof newContent === 'string') newContent = [[module.id, newContent, '']];
     update(newContent);
   });
 }
 // When the module is disposed, remove the <style> tags
 module.hot.dispose(function() { update(); });
}

/***/ }),
/* 26 */
/***/ (function(module, exports, __webpack_require__) {

exports = module.exports = __webpack_require__(1)(true);
// imports


// module
exports.push([module.i, "\n.numberKeyboard[data-v-14443d80] {\r\n    padding: 5px 0 0 5px;\r\n    text-align: center;\r\n    max-width: 300px;\r\n    margin: auto;\r\n    display: flex;\r\n    flex-wrap: wrap;\n}\n.numberKeyboard li[data-v-14443d80] {\r\n    width: calc(33.33% - 5px);\r\n    padding: 10px 0;\r\n    margin-bottom: 5px;\r\n    margin-right: 5px;\r\n    font-size: 24px;\r\n    height: 36px;\r\n    line-height: 36px;\r\n    list-style-type: none;\n}\n.dark .numberKeyboard li[data-v-14443d80] {\r\n    background: #333;\r\n    color: lightgray;\n}\n.dark .numberKeyboard .disabled[data-v-14443d80] {\r\n    color: lightgray;\r\n    background: #222;\r\n    cursor: not-allowed;\n}\n.light .numberKeyboard li[data-v-14443d80] {\r\n    background: lightgray;\r\n    color: black;\n}\n.light .numberKeyboard .disabled[data-v-14443d80] {\r\n    background: #e5e5e5;\r\n    color: lightgray;\r\n    cursor: not-allowed;\n}\n.elModal .numberKeyboard li[data-v-14443d80] {\r\n    background: whitesmoke;\r\n    color: gray;\n}\n.elModal .numberKeyboard .disabled[data-v-14443d80] {\r\n    color: whitesmoke;\r\n    background: #fcfcfc;\r\n    cursor: not-allowed;\n}\r\n", "", {"version":3,"sources":["C:/Users/ShengXQ/Desktop/nodejs/syd-base/vue-elementext/src/src/keyboard.vue"],"names":[],"mappings":";AA0FA;IACA,qBAAA;IACA,mBAAA;IACA,iBAAA;IACA,aAAA;IACA,cAAA;IACA,gBAAA;CACA;AACA;IACA,0BAAA;IACA,gBAAA;IACA,mBAAA;IACA,kBAAA;IACA,gBAAA;IACA,aAAA;IACA,kBAAA;IACA,sBAAA;CACA;AAEA;IACA,iBAAA;IACA,iBAAA;CACA;AAEA;IACA,iBAAA;IACA,iBAAA;IACA,oBAAA;CACA;AAEA;IACA,sBAAA;IACA,aAAA;CACA;AACA;IACA,oBAAA;IACA,iBAAA;IACA,oBAAA;CACA;AAEA;IACA,uBAAA;IACA,YAAA;CACA;AACA;IACA,kBAAA;IACA,oBAAA;IACA,oBAAA;CACA","file":"keyboard.vue","sourcesContent":["<template>\r\n    <ul class=\"numberKeyboard\">\r\n        <li @click=\"key('1')\">1</li>\r\n        <li @click=\"key('2')\">2</li>\r\n        <li @click=\"key('3')\">3</li>\r\n\r\n        <li @click=\"key('4')\">4</li>\r\n        <li @click=\"key('5')\">5</li>\r\n        <li @click=\"key('6')\">6</li>\r\n\r\n        <li @click=\"key('7')\">7</li>\r\n        <li @click=\"key('8')\">8</li>\r\n        <li @click=\"key('9')\">9</li>\r\n\r\n        <li @click=\"key('.')\" :disabled=\"nopoint\" :class=\"{disabled:nopoint}\">.</li>\r\n        <li @click=\"key('0')\">0</li>\r\n        <li @click=\"key('b')\">←</li>\r\n    </ul>\r\n</template>\r\n\r\n<script>\r\nexport default {\r\n    props: {      //type  :String Number Boolean Function Object Array Symbol\r\n        value: {\r\n            // type: String,\r\n            default: '',\r\n        },\r\n        valuetype: {\r\n            type: String,\r\n            default: 'string',\r\n        },\r\n        nopoint: {\r\n            type: Boolean,\r\n            default: true,\r\n        },\r\n        allkeys: {\r\n            type: Boolean,\r\n            default: false,\r\n        },\r\n    },\r\n    data() {\r\n        return {\r\n            首次输入: true,\r\n        }\r\n    },\r\n    mounted() {\r\n        this.首次输入 = true;\r\n    },\r\n    methods: {\r\n        key: function (key) {\r\n            let value = (this.value || '').toString();\r\n            if (this.首次输入) value = '';\r\n            this.首次输入 = false;\r\n            try {\r\n                if (key == \"b\") {\r\n                    value = value.slice(0, -1);\r\n                    throw \"\";\r\n                }\r\n                if (key == \"c\") {\r\n                    value = \"\";\r\n                    throw \"\";\r\n                }\r\n                if (key == \".\") {\r\n                    if (this.nopoint) throw \"\";\r\n                    if (!value) value = '0';\r\n                    if (value.includes(\".\")) throw \"\";\r\n                }\r\n                //只能输入2位小数\r\n                if (value != \"\" && value.includes(\".\")) {\r\n                    if ((value.length - value.indexOf(\".\")) > 2) throw \"\";\r\n                    if ((value.length - value.indexOf(\".\")) == 2 && key == \"00\") key = \"0\";\r\n                }\r\n                value += key;\r\n                //没有小数的时候计算一下 取消前面的0\r\n                if (value != '' && !value.includes('.')) value = parseInt(value);\r\n            } catch (error) {\r\n                if (error) console.log(error);\r\n            }\r\n            if (this.valuetype == 'string') value = value.toString();\r\n            this.$emit('input', value);\r\n            this.$emit('onkey', key);\r\n        },\r\n        reset: function () {\r\n            this.首次输入 = true;\r\n        }\r\n    }\r\n}\r\n</script>\r\n\r\n<style scoped>\r\n.numberKeyboard {\r\n    padding: 5px 0 0 5px;\r\n    text-align: center;\r\n    max-width: 300px;\r\n    margin: auto;\r\n    display: flex;\r\n    flex-wrap: wrap;\r\n}\r\n.numberKeyboard li {\r\n    width: calc(33.33% - 5px);\r\n    padding: 10px 0;\r\n    margin-bottom: 5px;\r\n    margin-right: 5px;\r\n    font-size: 24px;\r\n    height: 36px;\r\n    line-height: 36px;\r\n    list-style-type: none;\r\n}\r\n\r\n.dark .numberKeyboard li {\r\n    background: #333;\r\n    color: lightgray;\r\n}\r\n\r\n.dark .numberKeyboard .disabled {\r\n    color: lightgray;\r\n    background: #222;\r\n    cursor: not-allowed;\r\n}\r\n\r\n.light .numberKeyboard li {\r\n    background: lightgray;\r\n    color: black;\r\n}\r\n.light .numberKeyboard .disabled {\r\n    background: #e5e5e5;\r\n    color: lightgray;\r\n    cursor: not-allowed;\r\n}\r\n\r\n.elModal .numberKeyboard li {\r\n    background: whitesmoke;\r\n    color: gray;\r\n}\r\n.elModal .numberKeyboard .disabled {\r\n    color: whitesmoke;\r\n    background: #fcfcfc;\r\n    cursor: not-allowed;\r\n}\r\n</style>"],"sourceRoot":""}]);

// exports


/***/ }),
/* 27 */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
var render = function() {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _c("ul", { staticClass: "numberKeyboard" }, [
    _c(
      "li",
      {
        on: {
          click: function($event) {
            return _vm.key("1")
          }
        }
      },
      [_vm._v("1")]
    ),
    _vm._v(" "),
    _c(
      "li",
      {
        on: {
          click: function($event) {
            return _vm.key("2")
          }
        }
      },
      [_vm._v("2")]
    ),
    _vm._v(" "),
    _c(
      "li",
      {
        on: {
          click: function($event) {
            return _vm.key("3")
          }
        }
      },
      [_vm._v("3")]
    ),
    _vm._v(" "),
    _c(
      "li",
      {
        on: {
          click: function($event) {
            return _vm.key("4")
          }
        }
      },
      [_vm._v("4")]
    ),
    _vm._v(" "),
    _c(
      "li",
      {
        on: {
          click: function($event) {
            return _vm.key("5")
          }
        }
      },
      [_vm._v("5")]
    ),
    _vm._v(" "),
    _c(
      "li",
      {
        on: {
          click: function($event) {
            return _vm.key("6")
          }
        }
      },
      [_vm._v("6")]
    ),
    _vm._v(" "),
    _c(
      "li",
      {
        on: {
          click: function($event) {
            return _vm.key("7")
          }
        }
      },
      [_vm._v("7")]
    ),
    _vm._v(" "),
    _c(
      "li",
      {
        on: {
          click: function($event) {
            return _vm.key("8")
          }
        }
      },
      [_vm._v("8")]
    ),
    _vm._v(" "),
    _c(
      "li",
      {
        on: {
          click: function($event) {
            return _vm.key("9")
          }
        }
      },
      [_vm._v("9")]
    ),
    _vm._v(" "),
    _c(
      "li",
      {
        class: { disabled: _vm.nopoint },
        attrs: { disabled: _vm.nopoint },
        on: {
          click: function($event) {
            return _vm.key(".")
          }
        }
      },
      [_vm._v(".")]
    ),
    _vm._v(" "),
    _c(
      "li",
      {
        on: {
          click: function($event) {
            return _vm.key("0")
          }
        }
      },
      [_vm._v("0")]
    ),
    _vm._v(" "),
    _c(
      "li",
      {
        on: {
          click: function($event) {
            return _vm.key("b")
          }
        }
      },
      [_vm._v("←")]
    )
  ])
}
var staticRenderFns = []
render._withStripped = true
var esExports = { render: render, staticRenderFns: staticRenderFns }
/* harmony default export */ __webpack_exports__["a"] = (esExports);
if (false) {
  module.hot.accept()
  if (module.hot.data) {
    require("vue-hot-reload-api")      .rerender("data-v-14443d80", esExports)
  }
}

/***/ }),
/* 28 */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__babel_loader_node_modules_vue_loader_lib_selector_type_script_index_0_numberkeyboard_vue__ = __webpack_require__(8);
/* unused harmony namespace reexport */
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__node_modules_vue_loader_lib_template_compiler_index_id_data_v_cc88bb6e_hasScoped_true_buble_transforms_node_modules_vue_loader_lib_selector_type_template_index_0_numberkeyboard_vue__ = __webpack_require__(31);
var disposed = false
function injectStyle (ssrContext) {
  if (disposed) return
  __webpack_require__(29)
}
var normalizeComponent = __webpack_require__(0)
/* script */


/* template */

/* template functional */
var __vue_template_functional__ = false
/* styles */
var __vue_styles__ = injectStyle
/* scopeId */
var __vue_scopeId__ = "data-v-cc88bb6e"
/* moduleIdentifier (server only) */
var __vue_module_identifier__ = null
var Component = normalizeComponent(
  __WEBPACK_IMPORTED_MODULE_0__babel_loader_node_modules_vue_loader_lib_selector_type_script_index_0_numberkeyboard_vue__["a" /* default */],
  __WEBPACK_IMPORTED_MODULE_1__node_modules_vue_loader_lib_template_compiler_index_id_data_v_cc88bb6e_hasScoped_true_buble_transforms_node_modules_vue_loader_lib_selector_type_template_index_0_numberkeyboard_vue__["a" /* default */],
  __vue_template_functional__,
  __vue_styles__,
  __vue_scopeId__,
  __vue_module_identifier__
)
Component.options.__file = "src/numberkeyboard.vue"

/* hot reload */
if (false) {(function () {
  var hotAPI = require("vue-hot-reload-api")
  hotAPI.install(require("vue"), false)
  if (!hotAPI.compatible) return
  module.hot.accept()
  if (!module.hot.data) {
    hotAPI.createRecord("data-v-cc88bb6e", Component.options)
  } else {
    hotAPI.reload("data-v-cc88bb6e", Component.options)
  }
  module.hot.dispose(function (data) {
    disposed = true
  })
})()}

/* harmony default export */ __webpack_exports__["a"] = (Component.exports);


/***/ }),
/* 29 */
/***/ (function(module, exports, __webpack_require__) {

// style-loader: Adds some css to the DOM by adding a <style> tag

// load the styles
var content = __webpack_require__(30);
if(typeof content === 'string') content = [[module.i, content, '']];
if(content.locals) module.exports = content.locals;
// add the styles to the DOM
var update = __webpack_require__(2)("8f5a50e8", content, false, {});
// Hot Module Replacement
if(false) {
 // When the styles change, update the <style> tags
 if(!content.locals) {
   module.hot.accept("!!../node_modules/css-loader/index.js?sourceMap!../node_modules/vue-loader/lib/style-compiler/index.js?{\"vue\":true,\"id\":\"data-v-cc88bb6e\",\"scoped\":true,\"hasInlineConfig\":false}!../node_modules/vue-loader/lib/selector.js?type=styles&index=0!./numberkeyboard.vue", function() {
     var newContent = require("!!../node_modules/css-loader/index.js?sourceMap!../node_modules/vue-loader/lib/style-compiler/index.js?{\"vue\":true,\"id\":\"data-v-cc88bb6e\",\"scoped\":true,\"hasInlineConfig\":false}!../node_modules/vue-loader/lib/selector.js?type=styles&index=0!./numberkeyboard.vue");
     if(typeof newContent === 'string') newContent = [[module.id, newContent, '']];
     update(newContent);
   });
 }
 // When the module is disposed, remove the <style> tags
 module.hot.dispose(function() { update(); });
}

/***/ }),
/* 30 */
/***/ (function(module, exports, __webpack_require__) {

exports = module.exports = __webpack_require__(1)(true);
// imports


// module
exports.push([module.i, "\n.ulkey[data-v-cc88bb6e] {\r\n    padding: 5px 0 0 5px;\n}\n.ulkey li[data-v-cc88bb6e] {\r\n    float: left;\r\n    width: 73.75px;\r\n    padding: 10px 0;\r\n    margin-bottom: 5px;\r\n    margin-right: 5px;\r\n    background: #333;\r\n    font-size: 24px;\r\n    color: lightgray;\r\n    height: 36px;\r\n    line-height: 36px;\n}\r\n", "", {"version":3,"sources":["C:/Users/ShengXQ/Desktop/nodejs/syd-base/vue-elementext/src/src/numberkeyboard.vue"],"names":[],"mappings":";AA0EA;IACA,qBAAA;CACA;AACA;IACA,YAAA;IACA,eAAA;IACA,gBAAA;IACA,mBAAA;IACA,kBAAA;IACA,iBAAA;IACA,gBAAA;IACA,iBAAA;IACA,aAAA;IACA,kBAAA;CACA","file":"numberkeyboard.vue","sourcesContent":["<template>\r\n    <ul class=\"ulkey\">\r\n        <li @click=\"key('1')\">1</li>\r\n        <li @click=\"key('2')\">2</li>\r\n        <li @click=\"key('3')\">3</li>\r\n        <li @click=\"key('b')\">←</li>\r\n        <li @click=\"key('4')\">4</li>\r\n        <li @click=\"key('5')\">5</li>\r\n        <li @click=\"key('6')\">6</li>\r\n        <li @click=\"key('20')\">20</li>\r\n        <li @click=\"key('7')\">7</li>\r\n        <li @click=\"key('8')\">8</li>\r\n        <li @click=\"key('9')\">9</li>\r\n        <li @click=\"key('50')\">50</li>\r\n        <li @click=\"key('.')\">.</li>\r\n        <li @click=\"key('0')\">0</li>\r\n        <li @click=\"key('00')\">00</li>\r\n        <li @click=\"key('100')\">100</li>\r\n    </ul>\r\n</template>\r\n\r\n<script>\r\nexport default {\r\n    props: [\"nopoint\", \"value\", 'valuetype'],\r\n    methods: {\r\n        key: function (key) {\r\n            let value = (this.value || '').toString();\r\n            if (this.首次输入) value = '';\r\n            this.首次输入 = false;\r\n            try {\r\n                if (key == \"b\") {\r\n                    value = value.slice(0, -1);\r\n                    throw \"\";\r\n                }\r\n                if (key == \"c\") {\r\n                    value = \"\";\r\n                    throw \"\";\r\n                }\r\n                if (key == \".\") {\r\n                    if (!value) value = '0';\r\n                    if (value.includes(\".\")) throw \"\";\r\n                }\r\n                //只能输入2位小数\r\n                if (value != \"\" && value.includes(\".\")) {\r\n                    if ((value.length - value.indexOf(\".\")) > 2) throw \"\";\r\n                    if ((value.length - value.indexOf(\".\")) == 2 && key == \"00\") key = \"0\";\r\n                }\r\n\r\n                if (key == \"20\" || key == \"50\" || key == \"100\") {\r\n                    value = (parseInt(value || '0') + parseInt(key)).toString();\r\n                }\r\n                else {\r\n                    value += key;\r\n                }\r\n\r\n\r\n\r\n                //没有小数的时候计算一下 取消前面的0\r\n                if (value != '' && !value.includes('.')) value = parseInt(value);\r\n            } catch (error) {\r\n                if (error) console.log(error);\r\n            }\r\n            if (this.valuetype == 'string') value = value.toString();\r\n            this.$emit('input', value);\r\n            this.$emit('onkey', key);\r\n        },\r\n        reset: function () {\r\n            this.首次输入 = true;\r\n        }\r\n    }\r\n}\r\n</script>\r\n\r\n<style scoped>\r\n.ulkey {\r\n    padding: 5px 0 0 5px;\r\n}\r\n.ulkey li {\r\n    float: left;\r\n    width: 73.75px;\r\n    padding: 10px 0;\r\n    margin-bottom: 5px;\r\n    margin-right: 5px;\r\n    background: #333;\r\n    font-size: 24px;\r\n    color: lightgray;\r\n    height: 36px;\r\n    line-height: 36px;\r\n}\r\n</style>"],"sourceRoot":""}]);

// exports


/***/ }),
/* 31 */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
var render = function() {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _c("ul", { staticClass: "ulkey" }, [
    _c(
      "li",
      {
        on: {
          click: function($event) {
            return _vm.key("1")
          }
        }
      },
      [_vm._v("1")]
    ),
    _vm._v(" "),
    _c(
      "li",
      {
        on: {
          click: function($event) {
            return _vm.key("2")
          }
        }
      },
      [_vm._v("2")]
    ),
    _vm._v(" "),
    _c(
      "li",
      {
        on: {
          click: function($event) {
            return _vm.key("3")
          }
        }
      },
      [_vm._v("3")]
    ),
    _vm._v(" "),
    _c(
      "li",
      {
        on: {
          click: function($event) {
            return _vm.key("b")
          }
        }
      },
      [_vm._v("←")]
    ),
    _vm._v(" "),
    _c(
      "li",
      {
        on: {
          click: function($event) {
            return _vm.key("4")
          }
        }
      },
      [_vm._v("4")]
    ),
    _vm._v(" "),
    _c(
      "li",
      {
        on: {
          click: function($event) {
            return _vm.key("5")
          }
        }
      },
      [_vm._v("5")]
    ),
    _vm._v(" "),
    _c(
      "li",
      {
        on: {
          click: function($event) {
            return _vm.key("6")
          }
        }
      },
      [_vm._v("6")]
    ),
    _vm._v(" "),
    _c(
      "li",
      {
        on: {
          click: function($event) {
            return _vm.key("20")
          }
        }
      },
      [_vm._v("20")]
    ),
    _vm._v(" "),
    _c(
      "li",
      {
        on: {
          click: function($event) {
            return _vm.key("7")
          }
        }
      },
      [_vm._v("7")]
    ),
    _vm._v(" "),
    _c(
      "li",
      {
        on: {
          click: function($event) {
            return _vm.key("8")
          }
        }
      },
      [_vm._v("8")]
    ),
    _vm._v(" "),
    _c(
      "li",
      {
        on: {
          click: function($event) {
            return _vm.key("9")
          }
        }
      },
      [_vm._v("9")]
    ),
    _vm._v(" "),
    _c(
      "li",
      {
        on: {
          click: function($event) {
            return _vm.key("50")
          }
        }
      },
      [_vm._v("50")]
    ),
    _vm._v(" "),
    _c(
      "li",
      {
        on: {
          click: function($event) {
            return _vm.key(".")
          }
        }
      },
      [_vm._v(".")]
    ),
    _vm._v(" "),
    _c(
      "li",
      {
        on: {
          click: function($event) {
            return _vm.key("0")
          }
        }
      },
      [_vm._v("0")]
    ),
    _vm._v(" "),
    _c(
      "li",
      {
        on: {
          click: function($event) {
            return _vm.key("00")
          }
        }
      },
      [_vm._v("00")]
    ),
    _vm._v(" "),
    _c(
      "li",
      {
        on: {
          click: function($event) {
            return _vm.key("100")
          }
        }
      },
      [_vm._v("100")]
    )
  ])
}
var staticRenderFns = []
render._withStripped = true
var esExports = { render: render, staticRenderFns: staticRenderFns }
/* harmony default export */ __webpack_exports__["a"] = (esExports);
if (false) {
  module.hot.accept()
  if (module.hot.data) {
    require("vue-hot-reload-api")      .rerender("data-v-cc88bb6e", esExports)
  }
}

/***/ }),
/* 32 */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__babel_loader_node_modules_vue_loader_lib_selector_type_script_index_0_qrInput_vue__ = __webpack_require__(9);
/* unused harmony namespace reexport */
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__node_modules_vue_loader_lib_template_compiler_index_id_data_v_9ebdac40_hasScoped_true_buble_transforms_node_modules_vue_loader_lib_selector_type_template_index_0_qrInput_vue__ = __webpack_require__(35);
var disposed = false
function injectStyle (ssrContext) {
  if (disposed) return
  __webpack_require__(33)
}
var normalizeComponent = __webpack_require__(0)
/* script */


/* template */

/* template functional */
var __vue_template_functional__ = false
/* styles */
var __vue_styles__ = injectStyle
/* scopeId */
var __vue_scopeId__ = "data-v-9ebdac40"
/* moduleIdentifier (server only) */
var __vue_module_identifier__ = null
var Component = normalizeComponent(
  __WEBPACK_IMPORTED_MODULE_0__babel_loader_node_modules_vue_loader_lib_selector_type_script_index_0_qrInput_vue__["a" /* default */],
  __WEBPACK_IMPORTED_MODULE_1__node_modules_vue_loader_lib_template_compiler_index_id_data_v_9ebdac40_hasScoped_true_buble_transforms_node_modules_vue_loader_lib_selector_type_template_index_0_qrInput_vue__["a" /* default */],
  __vue_template_functional__,
  __vue_styles__,
  __vue_scopeId__,
  __vue_module_identifier__
)
Component.options.__file = "src/qrInput.vue"

/* hot reload */
if (false) {(function () {
  var hotAPI = require("vue-hot-reload-api")
  hotAPI.install(require("vue"), false)
  if (!hotAPI.compatible) return
  module.hot.accept()
  if (!module.hot.data) {
    hotAPI.createRecord("data-v-9ebdac40", Component.options)
  } else {
    hotAPI.reload("data-v-9ebdac40", Component.options)
  }
  module.hot.dispose(function (data) {
    disposed = true
  })
})()}

/* harmony default export */ __webpack_exports__["a"] = (Component.exports);


/***/ }),
/* 33 */
/***/ (function(module, exports, __webpack_require__) {

// style-loader: Adds some css to the DOM by adding a <style> tag

// load the styles
var content = __webpack_require__(34);
if(typeof content === 'string') content = [[module.i, content, '']];
if(content.locals) module.exports = content.locals;
// add the styles to the DOM
var update = __webpack_require__(2)("1a4cd212", content, false, {});
// Hot Module Replacement
if(false) {
 // When the styles change, update the <style> tags
 if(!content.locals) {
   module.hot.accept("!!../node_modules/css-loader/index.js?sourceMap!../node_modules/vue-loader/lib/style-compiler/index.js?{\"vue\":true,\"id\":\"data-v-9ebdac40\",\"scoped\":true,\"hasInlineConfig\":false}!../node_modules/vue-loader/lib/selector.js?type=styles&index=0!./qrInput.vue", function() {
     var newContent = require("!!../node_modules/css-loader/index.js?sourceMap!../node_modules/vue-loader/lib/style-compiler/index.js?{\"vue\":true,\"id\":\"data-v-9ebdac40\",\"scoped\":true,\"hasInlineConfig\":false}!../node_modules/vue-loader/lib/selector.js?type=styles&index=0!./qrInput.vue");
     if(typeof newContent === 'string') newContent = [[module.id, newContent, '']];
     update(newContent);
   });
 }
 // When the module is disposed, remove the <style> tags
 module.hot.dispose(function() { update(); });
}

/***/ }),
/* 34 */
/***/ (function(module, exports, __webpack_require__) {

exports = module.exports = __webpack_require__(1)(true);
// imports


// module
exports.push([module.i, "\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n", "", {"version":3,"sources":[],"names":[],"mappings":"","file":"qrInput.vue","sourceRoot":""}]);

// exports


/***/ }),
/* 35 */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
var render = function() {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _c("el-input", {
    attrs: {
      type: _vm.type,
      clearable: "",
      placeholder: _vm.placeholder,
      value: _vm.value,
      autocomplete: "off"
    },
    on: { input: _vm.oninput }
  })
}
var staticRenderFns = []
render._withStripped = true
var esExports = { render: render, staticRenderFns: staticRenderFns }
/* harmony default export */ __webpack_exports__["a"] = (esExports);
if (false) {
  module.hot.accept()
  if (module.hot.data) {
    require("vue-hot-reload-api")      .rerender("data-v-9ebdac40", esExports)
  }
}

/***/ })
/******/ ]);
});
//# sourceMappingURL=vueelementext.min.js.map